FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Gentoo > Gentoo User

 
 
LinkBack Thread Tools
 
Old 06-22-2012, 06:40 AM
Dale
 
Default dev-python/PyQt4-4.9.2 requires SIP v4.13.3 or later

Howdy,

I'm doing my KDE4 upgrades and ran into this:

root@fireball / # cat
/var/tmp/portage/dev-python/PyQt4-4.9.2/temp/build.log
* Package: dev-python/PyQt4-4.9.2
* Repository: gentoo
* Maintainer: qt@gentoo.org python@gentoo.org
* Upstream: phil@riverbankcomputing.com pyqt@riverbankcomputing.com
* USE: X amd64 consolekit dbus declarative elibc_glibc kde
kernel_linux multilib opengl phonon policykit sql svg userland_GNU webkit
* FEATURES: preserve-libs sandbox
>>> Unpacking source...
>>> Unpacking PyQt-x11-gpl-4.9.2.tar.gz to
/var/tmp/portage/dev-python/PyQt4-4.9.2/work
>>> Source unpacked in /var/tmp/portage/dev-python/PyQt4-4.9.2/work
>>> Preparing source in
/var/tmp/portage/dev-python/PyQt4-4.9.2/work/PyQt-x11-gpl-4.9.2 ...
* Applying PyQt4-4.7.2-configure.py.patch ...
[ ok ]
* Preparation of dev-python/PyQt4-4.9.2 with CPython 2.7...
* Preparation of dev-python/PyQt4-4.9.2 with CPython 3.2...
>>> Source prepared.
>>> Configuring source in
/var/tmp/portage/dev-python/PyQt4-4.9.2/work/PyQt-x11-gpl-4.9.2 ...
* Configuration of dev-python/PyQt4-4.9.2 with CPython 2.7...
python2.7 configure.py --confirm-license --bindir=/usr/bin
--destdir=/usr/lib64/python2.7/site-packages --sipdir=/usr/share/sip
--assume-shared --no-timestamp --qsci-api --enable=QtCore
--enable=QtNetwork --enable=QtScript --enable=QtXml --enable=QtGui
--enable=QtDesigner --enable=QtScriptTools --enable=QtTest
--enable=QtDBus --enable=QtDeclarative --enable=QtOpenGL --enable=phonon
--enable=QtSql --enable=QtSvg --enable=QtWebKit
CC=x86_64-pc-linux-gnu-gcc CXX=x86_64-pc-linux-gnu-g++
LINK=x86_64-pc-linux-gnu-g++ LINK_SHLIB=x86_64-pc-linux-gnu-g++
CFLAGS=-march=native -O2 -pipe CXXFLAGS=-march=native -O2 -pipe
LFLAGS=-Wl,-O1 -Wl,--as-needed
Error: This version of PyQt requires SIP v4.13.3 or later
* ERROR: dev-python/PyQt4-4.9.2 failed (configure phase):
* (no error message)
*
* Call stack:
* ebuild.sh, line 85: Called src_configure
* environment, line 4969: Called python_execute_function '-s'
'configuration'
* environment, line 3264: Called configuration
* environment, line 4954: Called die
* The specific snippet of code:
* "${myconf[@]}" || die;
*
* If you need support, post the output of `emerge --info
'=dev-python/PyQt4-4.9.2'`,
* the complete build log and the output of `emerge -pqv
'=dev-python/PyQt4-4.9.2'`.
* The complete build log is located at
'/var/tmp/portage/dev-python/PyQt4-4.9.2/temp/build.log'.
* The ebuild environment file is located at
'/var/tmp/portage/dev-python/PyQt4-4.9.2/temp/environment'.
* Working directory:
'/var/tmp/portage/dev-python/PyQt4-4.9.2/work/PyQt-x11-gpl-4.9.2-2.7'
* S: '/var/tmp/portage/dev-python/PyQt4-4.9.2/work/PyQt-x11-gpl-4.9.2'
root@fireball / #


I notice tho that portage seems to have failed to notice this was
needed. Should I file a bug report or is this just me?

Dale

:-) :-)

--
I am only responsible for what I said ... Not for what you understood or how you interpreted my words!

Miss the compile output? Hint:
EMERGE_DEFAULT_OPTS="--quiet-build=n"
 
Old 06-22-2012, 09:42 AM
Alex Schuster
 
Default dev-python/PyQt4-4.9.2 requires SIP v4.13.3 or later

Dale writes:

> I'm doing my KDE4 upgrades and ran into this:
[...]
> Error: This version of PyQt requires SIP v4.13.3 or later
[...]

> I notice tho that portage seems to have failed to notice this was
> needed. Should I file a bug report or is this just me?

File a bug. There is a DEPEND line in the ebuild, but that states it
needs >=dev-python/sip-4.13.1, not 4.13.3.

Wonko
 

Thread Tools




All times are GMT. The time now is 09:31 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org